import { Handlers } from './../utils/Handlers';
import { IScheduler } from './../descriptors/IScheduler';
import { ITask } from './../descriptors/ITask';
import * as Firebase from 'firebase-admin';
declare class Scheduler implements IScheduler {
    private taskList;
    private redundancyService;
    private taskCompletionHandler;
    constructor(reference: Firebase.database.Reference, taskCompletionHandler: Handlers.TaskCompletionHandler);
    private getJobCallback(key);
    private scheduleTask(task);
    queueExisting(tasks: Array<ITask>): Promise<void>;
    get(key: string): Promise<ITask>;
    getPendingCount(): number;
    schedule(task: ITask): Promise<ITask>;
    cancel(key: string): Promise<void>;
}
export { Scheduler };
